{% extends "header.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido %}
<div class="row clearfix">
	<ul class="nav nav-tabs nav-append-content">
        <li class="active"><a href="#tab100">{% blocktrans %}Total{% endblocktrans %}</a></li>
        {% for evento, evento_earnings, evento_expenses, evento_total, lista_resumen_evento in lista_eventos %} <li><a href="#tab{{evento.id}}">{{evento.nombre}}</a></li> {% endfor %}
    </ul>
    <div class="tab-content">

        <div class="tab-pane active" id="tab100">
        	<div class="row clearfix">
                <div class="col-md-4 column">
                    <div class"row clearfix">
                		<div class="col-md-3 column"></div>
                		<div class="col-md-9 column">
                			<p><strong>{% blocktrans %}Earnings{% endblocktrans %}:</strong> {{earnings}} &euro;</p>
                            {% if is_precio_coste %}
                			<p><strong>{% blocktrans %}Expenses{% endblocktrans %}:</strong> {{expenses}} &euro;</p>
                			<p><strong>{% blocktrans %}Total{% endblocktrans %}:</strong> {{total}} &euro;</p>
                            {% endif %}
                		</div>
                    </div>
                    <div class="row clearfix" align="center">
                        <img src="/static/images/charts/tartaVentas.png" data-toggle="modal" data-target="#ModalShowPie">
                    </div>
                    <div class="row clearfix" align="center">
                        {% blocktrans %}Sales{% endblocktrans %}
                    </div>
                </div>
        		<div class="col-md-7 column">
			        <div class="row clearfix">
            			<table class="table table-striped table-hover">
				            <thead>
				              <tr>
				                <th>{% blocktrans %}Product{% endblocktrans %}</th>
				                <th>{% blocktrans %}Sales{% endblocktrans %}</th>
				                <th>{% blocktrans %}Earnings{% endblocktrans %}</th>
                                {% if is_precio_coste %}
				                <th>{% blocktrans %}Expenses{% endblocktrans %}</th>
				                <th>{% blocktrans %}Total{% endblocktrans %}</th>
                                {% endif %}
				              </tr>
				            </thead>
				            <tbody>
                                {% for producto_nombre, total_vendido, ganancias, gastos, ganancia_t in lista_resumen %}
				              <tr>
				                <td>{{producto_nombre}}</td>
				                <td>{{total_vendido}}</td>
				                <td>{{ganancias}} &euro;</td>
                                {% if is_precio_coste %}
				                <td>{{gastos}} &euro;</td>
				                <td>{{ganancia_t}} &euro;</td>
                                {% endif %}
				              </tr>
                                {% endfor %}
				            </tbody>
				        </table>
			    	</div>
        		</div>
        	</div>
        </div>
    

        {% for evento, evento_earnings, evento_expenses, evento_total, lista_resumen_evento in lista_eventos %}
        <div class="tab-pane" id="tab{{evento.id}}">
            <div class="row clearfix">
                <div class="col-md-4 column">
                    <div class"row clearfix">
                        <div class="col-md-3 column"></div>
                        <div class="col-md-9 column">
                            <p><strong>{% blocktrans %}Earnings{% endblocktrans %}:</strong> {{evento_earnings}} &euro;</p>
                            {% if is_precio_coste %}
                            <p><strong>{% blocktrans %}Expenses{% endblocktrans %}:</strong> {{evento_expenses}} &euro;</p>
                            <p><strong>{% blocktrans %}Total{% endblocktrans %}:</strong> {{evento_total}} &euro;</p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="row clearfix" align="center">
                        <img src="/static/images/charts/tartaVentas{{evento.id}}.png" data-toggle="modal" data-target="#ModalShowPie{{evento.id}}">
                    </div>
                    <div class="row clearfix" align="center">
                        {% blocktrans %}Sales{% endblocktrans %}
                    </div>
                </div>
                <div class="col-md-7 column">
                    <div class="row clearfix">
                        <table class="table table-striped table-hover">
                            <thead>
                              <tr>
                                <th>{% blocktrans %}Product{% endblocktrans %}</th>
                                <th>{% blocktrans %}Sales{% endblocktrans %}</th>
                                <th>{% blocktrans %}Earnings{% endblocktrans %}</th>
                                {% if is_precio_coste %}
                                <th>{% blocktrans %}Expenses{% endblocktrans %}</th>
                                <th>{% blocktrans %}Total{% endblocktrans %}</th>
                                {% endif %}
                              </tr>
                            </thead>
                            <tbody>
                                {% for producto_nombre, total_vendido, ganancias, gastos, ganancia_t in lista_resumen_evento %}
                              <tr>
                                <td>{{producto_nombre}}</td>
                                <td>{{total_vendido}}</td>
                                <td>{{ganancias}} &euro;</td>
                                {% if is_precio_coste %}
                                <td>{{gastos}} &euro;</td>
                                <td>{{ganancia_t}} &euro;</td>
                                {% endif %}
                              </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div> <!-- row -->

<!-- Modal Mostrar Gráficas-->
<div class="modal fade" id="ModalShowPie" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Pie Charts{% endblocktrans %}</h4>
      </div>
      <div class="modal-body">

        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaVentasHD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Sales{% endblocktrans %}
        </div>
        <br />
        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaEarningsHD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Earnings{% endblocktrans %}
        </div>
        <br />
        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaExpensesHD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Expenses{% endblocktrans %}
        </div>
        <br />
        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaTotalHD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Total{% endblocktrans %}
        </div>

      </div>
      <div class="modal-footer">
        <form method="get">{% csrf_token %}
            <button type="button" class="btn btn-default" name="billing_pie_ok" data-dismiss="modal">{% blocktrans %}Close{% endblocktrans %}</button>
        </form>
      </div>
    </div>
  </div>
</div>

{% for evento, evento_earnings, evento_expenses, evento_total, lista_resumen_evento in lista_eventos %}
<!-- Modal Mostrar Gráficas Eventos-->
<div class="modal fade" id="ModalShowPie{{evento.id}}" tabindex="-1" role="dialog" aria-labelledby="myModalLogoutLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLogoutLabel">{% blocktrans %}Pie Charts{% endblocktrans %}</h4>
      </div>
      <div class="modal-body">
        
        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaVentas{{evento.id}}HD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Sales{% endblocktrans %}
        </div>
        <br />
        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaEarnings{{evento.id}}HD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Earnings{% endblocktrans %}
        </div>
        <br />
        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaExpenses{{evento.id}}HD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Expenses{% endblocktrans %}
        </div>
        <br />
        <div class="row clearfix" align="center">
            <img src="/static/images/charts/tartaTotal{{evento.id}}HD.png">
        </div>
        <div class="row clearfix" align="center">
            {% blocktrans %}Total{% endblocktrans %}
        </div>

      </div>
      <div class="modal-footer">
        <form method="get">{% csrf_token %}
            <button type="button" class="btn btn-default" name="billing_pie_ok" data-dismiss="modal">{% blocktrans %}Close{% endblocktrans %}</button>
        </form>
      </div>
    </div>
  </div>
</div>
{% endfor %}

{% endblock %}
<!-- <div class="row clearfix"> -->
<!-- <div class="col-md-8 column"> -->